.rule-popup {
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  background: rgba(0, 0, 0, 0.4);
  z-index: -5;
}
.rule-popup ::-webkit-scrollbar {
  width: 0px;
}
.rule-popup.show {
  z-index: 2022;
}
.rule-popup .popup-content {
  width: 1366px;
  position: absolute;
  top: -2000px;
  left: 50%;
  transform: translate(-50%, -50%);
  overflow: hidden;
}
.rule-popup .popup-content.show {
  top: 50%;
}
.rule-popup .popup-content .close {
  height: 48px;
  margin-bottom: 30px;
}
.rule-popup .popup-content .close-btn {
  width: 48px;
  height: 48px;
  line-height: 42px;
  text-align: center;
  cursor: pointer;
  float: right;
}
.rule-popup .popup-content .close-btn .icon {
  display: inline-block;
  width: 48px;
  height: 48px;
  background: rgba(255, 255, 255, 0.5);
  border-radius: 50%;
  position: relative;
}
.rule-popup .popup-content .close-btn .icon::before,
.rule-popup .popup-content .close-btn .icon::after {
  content: '';
  position: absolute;
  height: 2px;
  width: 25px;
  top: 54%;
  right: 22%;
  margin-top: -2px;
  background: #fff;
}
.rule-popup .popup-content .close-btn .icon::after {
  transform: rotate(-45deg);
}
.rule-popup .popup-content .close-btn .icon::before {
  transform: rotate(45deg);
}
.rule-popup .popup-content .rule-content {
  width: 1366px;
  background: #F4F7FC;
  box-shadow: 0px 6px 22px 0px rgba(0, 0, 0, 0.25);
  border-radius: 6px;
  padding: 50px 60px 60px;
}
.rule-popup .popup-content .rule-content .title {
  display: flex;
  align-items: center;
  padding-bottom: 40px;
  border-bottom: 1px solid #EBEBEB;
}
.rule-popup .popup-content .rule-content .title .title-icon {
  width: 38px;
  margin-right: 12px;
}
.rule-popup .popup-content .rule-content .title .title-name {
  line-height: 30px;
  font-size: 26px;
  font-weight: bold;
  color: #0B2D45;
}
.rule-popup .popup-content .rule-content .rules {
  margin-top: 40px;
  max-height: 50vh;
  overflow: auto;
}
.rule-popup .popup-content .rule-content .rules .rule-tr {
  margin-bottom: 32px;
}
.rule-popup .popup-content .rule-content .rules .rule-tr:last-child {
  margin-bottom: 0;
}
.rule-popup .popup-content .rule-content .rules .rule-tr .tr-title {
  display: flex;
  align-items: center;
}
.rule-popup .popup-content .rule-content .rules .rule-tr .tr-title .title-icon {
  width: 22px;
  margin-right: 6px;
}
.rule-popup .popup-content .rule-content .rules .rule-tr .tr-title .title-name {
  line-height: 24px;
  font-size: 20px;
  font-weight: bold;
  color: #0B2D45;
}
.rule-popup .popup-content .rule-content .rules .rule-tr .tr-title-min {
  line-height: 22px;
  font-size: 16px;
  font-weight: bold;
  color: #414C60;
}
.rule-popup .popup-content .rule-content .rules .rule-tr .rule-tr-list {
  margin-top: 20px;
}
.rule-popup .popup-content .rule-content .rules .rule-tr .rule-tr-list .rule-tr-list-item {
  margin-bottom: 26px;
}
.rule-popup .popup-content .rule-content .rules .rule-tr .rule-tr-list .rule-tr-list-item:last-child {
  margin-bottom: 0;
}
.rule-popup .popup-content .rule-content .rules .rule-tr .text-box {
  background: #fff;
  border-radius: 6px;
  padding: 22px;
  margin-top: 20px;
  margin-bottom: 20px;
}
.rule-popup .popup-content .rule-content .rules .rule-tr .text-box:last-child {
  margin-bottom: 0;
}
.rule-popup .popup-content .rule-content .rules .rule-tr .text-box.empty {
  background: transparent;
  border: 1px solid #DDE2EE;
}
.rule-popup .popup-content .rule-content .rules .rule-tr .text-box .text {
  line-height: 22px;
  font-size: 14px;
  color: #4A5568;
  margin-bottom: 8px;
}
.rule-popup .popup-content .rule-content .rules .rule-tr .text-box .text:last-child {
  margin-bottom: 0;
}
.rule-popup .popup-content .rule-content .rules .rule-tr .text-box .text.color1 {
  color: #8B97A7;
}
.rule-popup .popup-content .rule-content .rules .rule-tr .text-box .text.space-min {
  letter-spacing: -0.1px;
}
.rule-popup .popup-content .rule-content .rules .rule-tr .table {
  margin-top: 12px;
}
.rule-popup .popup-content .rule-content .rules .rule-tr .table .th {
  background: #E5EAF4;
  border-radius: 6px;
  padding: 0 28px;
  margin-bottom: 10px;
  display: flex;
  justify-content: space-between;
}
.rule-popup .popup-content .rule-content .rules .rule-tr .table .th.pr-150 {
  padding-right: 150px;
}
.rule-popup .popup-content .rule-content .rules .rule-tr .table .th .td {
  line-height: 17px;
  font-size: 14px;
  color: #414C60;
  text-align: center;
  padding: 11px 0 10px;
}
.rule-popup .popup-content .rule-content .rules .rule-tr .table .th .td.t-left {
  text-align: left;
}
.rule-popup .popup-content .rule-content .rules .rule-tr .table .th .td.t-right {
  text-align: right;
}
.rule-popup .popup-content .rule-content .rules .rule-tr .table .th .td.pr-15 {
  padding-right: 15px;
}
.rule-popup .popup-content .rule-content .rules .rule-tr .table .th .td.flex1 {
  flex: 1;
}
.rule-popup .popup-content .rule-content .rules .rule-tr .table .th .td.w30 {
  width: 30px;
}
.rule-popup .popup-content .rule-content .rules .rule-tr .table .th .td.w80 {
  width: 80px;
}
.rule-popup .popup-content .rule-content .rules .rule-tr .table .th .td.w90 {
  width: 90px;
}
.rule-popup .popup-content .rule-content .rules .rule-tr .table .th .td.w100 {
  width: 100px;
}
.rule-popup .popup-content .rule-content .rules .rule-tr .table .th .td.w185 {
  width: 185px;
}
.rule-popup .popup-content .rule-content .rules .rule-tr .table .th .td.w270 {
  width: 270px;
}
.rule-popup .popup-content .rule-content .rules .rule-tr .table .th .td.w455 {
  width: 455px;
}
.rule-popup .popup-content .rule-content .rules .rule-tr .table .th .td.w540 {
  width: 540px;
}
.rule-popup .popup-content .rule-content .rules .rule-tr .table .th .td .td-desc {
  height: 14px;
  line-height: 14px;
  font-size: 12px;
  color: #8B97A7;
  margin-top: 6px;
}
.rule-popup .popup-content .rule-content .rules .rule-tr .table .t-body .tr {
  background: #fff;
  border-radius: 6px;
  padding: 7px 28px 6px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 4px;
}
.rule-popup .popup-content .rule-content .rules .rule-tr .table .t-body .tr.pr-150 {
  padding-right: 150px;
}
.rule-popup .popup-content .rule-content .rules .rule-tr .table .t-body .tr:last-child {
  margin-bottom: 0;
}
.rule-popup .popup-content .rule-content .rules .rule-tr .table .t-body .tr .td {
  display: flex;
  justify-content: center;
  align-items: center;
}
.rule-popup .popup-content .rule-content .rules .rule-tr .table .t-body .tr .td.t-left {
  justify-content: flex-start;
}
.rule-popup .popup-content .rule-content .rules .rule-tr .table .t-body .tr .td.t-right {
  justify-content: flex-end;
}
.rule-popup .popup-content .rule-content .rules .rule-tr .table .t-body .tr .td.pr-15 {
  padding-right: 15px;
}
.rule-popup .popup-content .rule-content .rules .rule-tr .table .t-body .tr .td.flex1 {
  flex: 1;
}
.rule-popup .popup-content .rule-content .rules .rule-tr .table .t-body .tr .td.w30 {
  width: 30px;
}
.rule-popup .popup-content .rule-content .rules .rule-tr .table .t-body .tr .td.w80 {
  width: 80px;
}
.rule-popup .popup-content .rule-content .rules .rule-tr .table .t-body .tr .td.w90 {
  width: 90px;
}
.rule-popup .popup-content .rule-content .rules .rule-tr .table .t-body .tr .td.w100 {
  width: 100px;
}
.rule-popup .popup-content .rule-content .rules .rule-tr .table .t-body .tr .td.w185 {
  width: 185px;
}
.rule-popup .popup-content .rule-content .rules .rule-tr .table .t-body .tr .td.w270 {
  width: 270px;
}
.rule-popup .popup-content .rule-content .rules .rule-tr .table .t-body .tr .td.w455 {
  width: 455px;
}
.rule-popup .popup-content .rule-content .rules .rule-tr .table .t-body .tr .td.w540 {
  width: 540px;
}
.rule-popup .popup-content .rule-content .rules .rule-tr .table .t-body .tr .td .icon-right-1 {
  width: 16px;
  height: 16px;
  background: url(/assets/images/rank/rank-list/icon-rule-right-1.png) no-repeat center center;
  background-size: 100%;
  margin-right: 1px;
  margin-left: 1px;
}
.rule-popup .popup-content .rule-content .rules .rule-tr .table .t-body .tr .td .icon-right-1:first-child {
  margin-left: 0;
}
.rule-popup .popup-content .rule-content .rules .rule-tr .table .t-body .tr .td .icon-right-2 {
  width: 16px;
  height: 16px;
  background: url(/assets/images/rank/rank-list/icon-rule-right-2.png) no-repeat center center;
  background-size: 100%;
}
.rule-popup .popup-content .rule-content .rules .rule-tr .table .t-body .tr .td .icon-right-3 {
  width: 16px;
  height: 16px;
  background: url(/assets/images/rank/rank-list/icon-rule-null.png) no-repeat center center;
  background-size: 100%;
}
.rule-popup .popup-content .rule-content .rules .rule-tr .table .t-body .tr .td .text {
  line-height: 17px;
  font-size: 14px;
  color: #414C60;
}
.rule-popup .popup-content .rule-content .rules .rule-tr .table .t-body .tr .td .text-min {
  line-height: 12px;
  font-size: 12px;
  color: #6B7A8D;
  margin-left: 2px;
}
.rule-popup .popup-content .rule-content .rules .rule-tr .table .t-body .tr .td .desc {
  line-height: 16px;
  font-size: 13px;
  color: #4A5568;
}
.rule-popup .popup-content .rule-content .rules .rule-tr .table .t-body .tr .td .tag {
  background: #EEF1F7;
  border-radius: 4px;
  line-height: 17px;
  font-size: 14px;
  color: #2E50FA;
  padding: 6px 20px;
}
.rule-popup .popup-content .rule-content .rules .rule-tr .table .t-body .tr .merge {
  flex: 1;
  margin-left: 32px;
}
.rule-popup .popup-content .rule-content .rules .rule-tr .table .t-body .tr .merge .merge-tr {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 7px 0 6px;
  border-bottom: 1px solid #EBEBEB;
}
.rule-popup .popup-content .rule-content .rules .rule-tr .table .t-body .tr .merge .merge-tr:last-child {
  border-bottom: 0;
}
.rule-popup .popup-content .rule-content .rules .rule-tr .list-box {
  background: #fff;
  border-radius: 6px;
  padding: 4px 22px;
  margin-top: 20px;
}
.rule-popup .popup-content .rule-content .rules .rule-tr .list-box .list-item {
  line-height: 22px;
  font-size: 14px;
  color: #4A5568;
  padding: 18px 0;
  border-bottom: 1px solid #EBEBEB;
}
.rule-popup .popup-content .rule-content .rules .rule-tr .list-box .list-item:last-child {
  border-bottom: 0 none;
}
.rule-popup .popup-content .rule-content .rules .rule-tr .list-box .list-item.tags {
  display: flex;
  gap: 22px;
}
.rule-popup .popup-content .rule-content .rules .rule-tr .list-box .list-item.tags .tag {
  background: #EEF1F7;
  font-weight: 500;
  padding: 6px 22px;
  border-radius: 4px;
}
.rule-popup .popup-content .rule-content .rules .rule-tr .list-box .list-item .blod {
  font-weight: bold;
}
.rule-popup .popup-content .rule-content .rules .rule-tr .list-box .list-item .color1 {
  color: #0B2D45;
}
.rule-popup .popup-content .rule-content .rules .rule-tr .list-box .list-item .color2 {
  color: #2E50FA;
}
.rule-popup .popup-content .rule-content .rules .rule-tr .list-box .list-item .color3 {
  color: #6B7A8D;
}
